package ir.almahdi.sandogh_bsa_aza.display_sabad_ozv.model;

public class md_vam_pas_ozv {
    private String id_ozviat;
    private String name_ozv;
    private String lastname_ozv;
    private long mojodi_ozv;
    private String vazeyat_ozv;
    private String tarikh_ozviat;
    private String id_par_vam_nbt;
    private long mande_vam;
    private long mablagh_vam_par;
    private byte bazpard_vam_mah;
    private String tarikh_par_vam;
    private Boolean checkbox;
    private long mablagh_gh_vam_nob;

    public boolean isSelected() {
        return isSelected;
    }

    public void setSelected(boolean selected) {
        isSelected = selected;
    }

    private boolean isSelected;

    public md_vam_pas_ozv(String id_ozviat, String name_ozv, String lastname_ozv, long mojodi_ozv,
                          String vazeyat_ozv, String tarikh_ozviat, String id_par_vam_nbt,
                          long mande_vam, long mablagh_vam_par, byte bazpard_vam_mah,
                          String tarikh_par_vam, Boolean checkbox, long mablagh_gh_vam_nob) {
        this.id_ozviat = id_ozviat;
        this.name_ozv = name_ozv;
        this.lastname_ozv = lastname_ozv;
        this.mojodi_ozv = mojodi_ozv;
        this.vazeyat_ozv = vazeyat_ozv;
        this.tarikh_ozviat = tarikh_ozviat;
        this.id_par_vam_nbt = id_par_vam_nbt;
        this.mande_vam = mande_vam;
        this.mablagh_vam_par = mablagh_vam_par;
        this.bazpard_vam_mah = bazpard_vam_mah;
        this.tarikh_par_vam = tarikh_par_vam;
        this.checkbox = checkbox;
        this.mablagh_gh_vam_nob = mablagh_gh_vam_nob;
        setSelected(checkbox) ;
    }

    public String getId_ozviat() {
        return id_ozviat;
    }

    public void setId_ozviat(String id_ozviat) {
        this.id_ozviat = id_ozviat;
    }

    public String getName_ozv() {
        return name_ozv;
    }

    public void setName_ozv(String name_ozv) {
        this.name_ozv = name_ozv;
    }

    public String getLastname_ozv() {
        return lastname_ozv;
    }

    public void setLastname_ozv(String lastname_ozv) {
        this.lastname_ozv = lastname_ozv;
    }

    public long getMojodi_ozv() {
        return mojodi_ozv;
    }

    public void setMojodi_ozv(long mojodi_ozv) {
        this.mojodi_ozv = mojodi_ozv;
    }

    public String getVazeyat_ozv() {
        return vazeyat_ozv;
    }

    public void setVazeyat_ozv(String vazeyat_ozv) {
        this.vazeyat_ozv = vazeyat_ozv;
    }

    public String getTarikh_ozviat() {
        return tarikh_ozviat;
    }

    public void setTarikh_ozviat(String tarikh_ozviat) {
        this.tarikh_ozviat = tarikh_ozviat;
    }

    public String getId_par_vam_nbt() {
        return id_par_vam_nbt;
    }

    public void setId_par_vam_nbt(String id_par_vam_nbt) {
        this.id_par_vam_nbt = id_par_vam_nbt;
    }

    public long getMande_vam() {
        return mande_vam;
    }

    public void setMande_vam(long mande_vam) {
        this.mande_vam = mande_vam;
    }

    public long getMablagh_vam_par() {
        return mablagh_vam_par;
    }

    public void setMablagh_vam_par(long mablagh_vam_par) {
        this.mablagh_vam_par = mablagh_vam_par;
    }

    public byte getBazpard_vam_mah() {
        return bazpard_vam_mah;
    }

    public void setBazpard_vam_mah(byte bazpard_vam_mah) {
        this.bazpard_vam_mah = bazpard_vam_mah;
    }

    public String getTarikh_par_vam() {
        return tarikh_par_vam;
    }

    public void setTarikh_par_vam(String tarikh_par_vam) {
        this.tarikh_par_vam = tarikh_par_vam;
    }

    public Boolean getCheckbox() {
        return checkbox;
    }

    public void setCheckbox(Boolean checkbox) {
        this.checkbox = checkbox;
    }

    public long getMablagh_gh_vam_nob() {
        return mablagh_gh_vam_nob;
    }

    public void setMablagh_gh_vam_nob(long mablagh_gh_vam_nob) {
        this.mablagh_gh_vam_nob = mablagh_gh_vam_nob;
    }

}
